  var
    token = $('body').data('token'),
    info  = $('[data-info]').data('info');

  $('.js-modal-save').on('click', function (e) {
    $('.warning, .error').remove();
    $('.field-entry').removeClass('border-error');
    if ($('.js-modal-save').data('sincro') == '') {
      if (confirm('Deseja realmente sincronizar este produto?')) {
        sincronizar();
      } else {
        return false;
      }
    } else {
      sincronizar();
    }
  });

  function sincronizar() {
    $.ajax({
      url: 'index.php?route=module/skyhub/bulksetting/validate&token=' + token,
      dataType: 'json',
      type: 'POST',
      data: $('#js-skyhubfichatecnica').serialize(),
      beforeSend: function () {
        $('.js-modal-save').addClass('btn-loading');
        $('.js-modal-save').attr('disabled', true);
        $('#bulk-setting').addClass('js-adm-modal-overlay-no-close');
      },
      complete: function(){
        $('.js-modal-save').attr('disabled', false);
        $('.js-modal-save').removeClass('btn-loading');
        $('#bulk-setting').removeClass('js-adm-modal-overlay-no-close');
      },
      success: function (json) {

        if (json['error']) {
          $.each(json['error'], function (index, value) {
              $('#' + index).addClass('border-error');
              $('#' + index).closest('.field-group').append('<span class="error">' + value + '</span>');
          });
        }else{
          $('#js-skyhubfichatecnica').submit();

        }

      }
    });
  }